@ECHO OFF
CLS

SET Wide=Dominant aspect ratio:      1.9600

Rem change 1.9600 to the value needed for comskip widescreen detection 
Rem This value needs to be set by trial and error.  Take a know widescreen mpg and run comskip.  Look in the comskip log file for the value used for wide screen.



SET SDIR=R:\Project\Source
SET WORKDIR=R:\Project
SET CAPDIR=R:\Project\Misc

:LOOP
ECHO.
ECHO --------------------------------------------------------
ECHO Comskip XviD batch using 2 pass **NEW SMART-CROP**
ECHO --------------------------------------------------------
ECHO.

ECHO A. One-Pass --Maintain 4:3 content
ECHO B. One-Pass --Expand 4:3 content to widescreen
ECHO C. Two-Pass High Quality --Maintain 4:3 content
ECHO D. Two-Pass High Quality --Expand 4:3 content to widescreen

ECHO Q. Quit
:: SET /P prompts for input and sets the variable
:: to whatever the user types
SET Choice=
SET /P Choice=Type the letter and press Enter: 
:: The syntax in the next line extracts the substring
:: starting at 0 (the beginning) and 1 character long
IF NOT '%Choice%'=='' SET Choice=%Choice:~0,1%
ECHO.
:: /I makes the IF comparison case-insensitive
IF /I '%Choice%'=='A' GOTO ItemA
IF /I '%Choice%'=='B' GOTO ItemB
IF /I '%Choice%'=='C' GOTO ItemC
IF /I '%Choice%'=='D' GOTO ItemD

IF /I '%Choice%'=='Q' GOTO End

ECHO.
ECHO "%Choice%" is not valid. Please try again.
ECHO.
CLS

GOTO Loop

:ItemA
FOR %%f IN (%SDIR%\*.mpg) DO CALL %WORKDIR%\LogIt.bat %%f %CAPDIR%\%%~nf.mpg 1 M %CAPDIR%\%%~nf
GOTO Again

:ItemB
FOR %%f IN (%SDIR%\*.mpg) DO CALL %WORKDIR%\LogIt.bat %%f %CAPDIR%\%%~nf.mpg 1 E %CAPDIR%\%%~nf
GOTO Again

:ItemC
FOR %%f IN (%SDIR%\*.mpg) DO CALL %WORKDIR%\LogIt.bat %%f %CAPDIR%\%%~nf.mpg 2 M %CAPDIR%\%%~nf
GOTO Again

:ItemD
FOR %%f IN (%SDIR%\*.mpg) DO CALL %WORKDIR%\LogIt.bat %%f %CAPDIR%\%%~nf.mpg 2 E %CAPDIR%\%%~nf
GOTO Again

:Again
PAUSE
CLS
GOTO Loop